# Release 10.9.5 2021-11-16
5cc30db empty and deprecate class l10n.ispell.it (unmaintained - see bug#996361 - and gone upstream)
3e9df6a update class Console.mobile: install packages syncevolution syncevolution-http
0bf0086 drop obsolete empty class Service.time.systemd.pre-resolve
d25e094 update class Service.mail.mta.avoid: stop avoid gone package qmail-run

# Release 10.9.4 2021-11-09
61a8072 update class Desktop.scheduling.lightning: stop install package lightning (gone)

# Release 10.9.3 2021-10-18
3cda0bf update class Desktop.web.webkit.gtk: install luakit (not midori: Electron-based nowadays - see bug#995398)

# Release 10.9.2 2021-09-14
2b1dfd9 update class Service.filesystem.indexer to install package plocate (not mlocate); see bug#989517
020ade3 add class Service.time.chrony.systemd to integrate chrony with systemd
20598aa update class Desktop.mendia.video.mpv.gtk to install celluloid (not gnome-mpv now a transitional package)
0435ce0 update class Service.class.time.chrony.pre-resolve to save tweak as a snippet

# Release 10.9.1 2021-08-19
f9163c5 fix create symlink farm for bookworm
3309356 drop class Service.time.systemd.pre-resolve: obsolete (DNSSEC is bypassed when resolving NTP hosts since systemd 247.3-2)

# Release 10.9.0 2021-08-18
96276d6 drop suite buster
d1383f6 update class Desktop.design.painting.gtk: re-add package gimp-plugin-registry: in good shape again now

# Release 10.8.28 2021-04-23
9fd465d fix have autopkgtests explicitly depend on make
9e02144 fix exclude node showmebox-gnustep in autopkgtests on archs without thunderbird

# Release 10.8.27 2021-04-22
4308980 fix update class Service.web.uwsgi.python: install uwsgi-plugin-python3 (not uwsgi-plugin-python) since bullseye
e70fc15 fix exclude node dharma in autopkgtests on archs without thunderbird

# Release 10.8.26 2021-04-21
40996cc fix really really skip autopkgtests involving thunderbird/falkon where unavailable
8d76899 fix drop class Service.web.wiki.moinmoin since bullseye: MoinMoin is virtually dead upstream and no longer in Debian

# Release 10.8.25 2021-04-20
8e6b0d4 fix really skip autopkgtests involving thunderbird/falkon where unavailable
455546f fix class Service.mail.list: install Mailman3 and Hyperkitty (not mailman) since bullseye

# Release 10.8.24 2021-04-19
d4ded34 fix skip autopkgtests involving thunderbird/falkon where unavailable, and enable other arch-sepcific autopkgtests

# Release 10.8.23 2021-04-18
97dabf9 have autopkgtest skip arch-specific nodes, and include showmebox-gnustep (not sure why that was skipped previously); closes: bug#987079, thanks to Paul Gevers

# Release 10.8.22 2021-04-17
2170ea9 fix class Service.mail.avoid: stop avoid citadel-mta unavailable since bullseye; closes: bug#986726, thanks to Graham Inggs

# Release 10.8.21 2021-03-02
6c94b17 update class Desktop.design.web.sass: stop include packages for obsolete libraries singularitygs slickmap susy yui
8abee9e update class Desktop.design.web.sass: stop mention Compass in description
0dd5d37 update class Desktop.design.web.sass: include packages for Sass libraries gutenberg sass-extras typey
43a1d33 update class Desktop.design.web.sass: stop auto-marking packages ruby-compass ruby-sass
6281a14 update class Desktop.design.web.sass: include package sassc

# Release 10.8.20 2021-02-06
249b7e7 drop classes Desktop.environment.xfce.scheduling Desktop.environment.scheduling.lxqt since bullseye (package orage is gone, see bug#977628)

# Release 10.8.19 2021-02-06
43bfba9 drop classes l10n.se l10n.hunspell.se since bullseye (see bug#978987)
933ad88 update class Desktop.environment.lxqt.limit: stop avoid package disk-manager since bullseye (gone: see bug#943969)

# Release 10.8.18 2020-12-29
3db6467 fix class Hardware.net.bufferbloat.avoid to use correct syntax
7b1729d update class Desktop.design.web: stop include Desktop.web.blink (see bug#972134)

# Release 10.8.17 2020-11-14
3d7bad8 use POSIX sed option -E (not -r)
b06d4c4 spellcheck changelog
be836a8 update class Desktop.email.thunderbird.harden: no-op since bullseye: enigmail is gone, and Thunderbird supports PGP now
599adf1 update class Desktop.web.firefox.harden: install package webext-ublock-origin-firefox (not webext-ublock-origin) since bullseye
774a8c1 update class Desktop.email.thunderbird.locales: add package thunderbird-l10n-kab to subclass AFRICA
10b32ad update class Desktop.email.thunderbird.locales: add packages thunderbird-l10n-dsb thunderbird-l10n-hsb to subclass EUROPA
2da0908 update class l10n.aspell: fix install package aspell-cs (not bogus aspell-cz) in subclass cs
c3c83f0 update class l10n.hunspell: fix have subclass en.ZA include en.GB (not virtual package hunspell-en-za)
294d483 update class l10n.hunspell: fix drop obsolete subclasses ca.myspell de.AT.myspell de.CH.myspell de.DE.myspell gl.rag hr.myspell nl.myspell pl.myspell pt.BR.myspell pt.PT.myspell ru.myspell sv.dsso
aefd17e update class l10n.hunspell: consistently provide explicit hunspell subclass when both hunspell and myspell variants exist
84ef76d update class l10n.hunspell: consistently avoid explicit hunspell subclass when the only exisitng variant
3ad02e0 update class l10n.hunspell: consistently provide explicit myspell subclass (even if the only exisitng variant)
712d06b fix add base class l10n.hyphen.pt
49ecf8b add classes l10n.id l10n.hyphen.id l10n.tr l10n.hunspell.tr
329857c add classes l10n.lv l10n.hyphen.lv
b5e3adb update class l10n.ispell: stop include subclass de.DE.old in de.DE
9b8c0e1 update class l10n.wordlist: stop include subclass de.DE.old in de.DE
e0e10d7 add class l10n.mythes.cs
9186e91 update class l10n.mythes: fix install package mythes-de-ch (not mythes-de) in subclass de.CH
dd21c9e add classes l10n.gug l10n.mythes.gug
22f7195 update class l10n: tighten localeregion classes
5efce45 add class l10n.mythes.id

# Release 10.8.16 2020-08-18
e525338 fix mark many auto-installed packages since Buster (not only Stretch), as intended since 10.8.12
29bb284 drop suite stretch; add suite bookworm
f169b2f update class Desktop.design.color.gtk: add package gcolor3 since bullseye; stop mention gcolor2 for buster
f52bc66 update class Desktop.web.firefox.harden: drop package webext-noscript (arguably superseded by webext-ublock-origin)
6f3c98c update class Service.time: have base class include Service.time.systemd (not Service.time.openntpd)
f4e8ed2 update class Desktop.design.painting.gtk: avoid package gimp-plugin-registry since bullseye: in too bad shape

# Release 10.8.15 2020-07-07
dea9c75 add class Hardware.motherboard.olimex.a64 since Buster
29dba4e update classes Hardware.laptop Hardware.motherboard: stop include class hw.firmware for ARM systems
c09c12d update class hw.firmware: include firmware-ath9k-htc since Buster, but temporarily avoid since Bullseye (bug#944169, #951891)
1cf63c0 update class Framework.pkg.apt.source.reset: omit security when no VERSION in /etc/os-release; omit *-updates when targeted sid
4bfcf4a update class Admin.apt.tools: add subclass support, and include in base class
74ddbc8 update class Admin.apt.tools: drop subclass libreload.whatmaps: deprecated (see bug#964470#10)
9e47cd0 drop class Framework.media.wildmidi.limit since buster: bug#612509 fixed
2ae79bc drop class Service.dns.systemd.fallback.avoid since buster: bug#923081 fixed
0c73600 drop obsolete bug hints

# Release 10.8.14 2020-06-29
ad70598 update class Desktop.office.libreoffice: make subclass theme.tango a noop since Buster (package libreoffice-style-tango no longer optional since then)

# Release 10.8.13 2020-06-12
0077d67 update class Desktop.design.pdf: include pdfarranger since Buster
83cd0b3 update class Desktop.design.pdf: mention BookletImposer
35d8c09 update class Desktop.design.pdf: stop include origami-pdf since Bullseye
3d91381 update class Hardware.nic: extend subclass atheros: include firmware-ath9k-htc
734fff2 update class Hardware.nic: add subclass broadcom.brcm: include firmware-brcm80211
fda5df2 update class hw: add subclass nic
41c3b3c update class Hardware.nic: extend subclass atheros: nonfree-include firmware-zd1211
22b980f update class Hardware.nic: add subclass intel
c7be0b2 update class Hardware.nic: add subclass prism2
4c21191 update class Hardware.nic: add default classes, omitting packages needing network or compilation during install
e20ed68 update class Console.design: add subclasses font web
7a33414 update class Desktop.web.webkit.gtk: add midori (not surf)
b9ed094 update class Console.design: update subclass painting.gtk: add drawing mypaint mypaint-data-extras since bullseye, stop mention mypaint before bullseye
48d788c add class Task.text
3a8bfc6 update class Framework.crypto.gnupg.pinentry.qt: include pinentry-qt (not pinentry-qt4)
95e1af4 drop class Hardware.gl.software

# Release 10.8.12 2020-01-26
ad242d9 update class Desktop.scheduling.lightning: include package webext-dav4tbsync since buster
ba87472 mark many auto-installed packages
e222f11 update class Desktop.tools.account: include package usermode (not gnome-system-tools); see bug#888675,#888670

# Release 10.8.11 2019-12-01
2de2f9e Update class Desktop.office.libreoffice: Have subclass gnome stop add gtk. Have subclass gtk add gtk.gtk3 (not gtk.gtk2) since Bullseye.
72835d8 Fix class Hardware.box.globalscale: Include class Hardware.bootloader.u-boot.
7837d3b Add class Hardware.net.bufferbloat.avoid since Buster.
5029af6 Add class Console.locale.default.reset.
883391e Add class Console.setup.root.reset.
3561216 Extend class Console.filemanager: Add subclass mc.full, enabled by default.
878d2d4 Update class Console.design.drawing: Stop include package usvg (too immature).
8b40ff3 fix class Desktop.media.audio.alsa: Include volumeicon-alsa (not volti); see bug#943985
c110459 declare compliance with Debian Policy 4.4.1
017c42d bump debhelper compatibility level to 9

# Release 10.8.10 2019-08-31
fa5c652 Update class Service.dns: Add subclasses bind unbound systemd resolver. Use caching service (not authoritative) by default. Use systemd (not unbound) as default caching service.
bc10aac Fix class Service.init.sysv: Include/exclude package sysvinit-core (not obsolete sysvinit).
eed1710 Fix classes Hardware.net.interfaces.dhcp.systemd Service.firewall.systemd: Broken syntax in tweak.

# Release 10.8.9 2019-08-28
cec1d6e Update class Framework.theme.xfce: Include subclass gtk3 (not gtk2) and drop subclass gtk2 since Bullseye. See bug#935954.

# Release 10.8.8 2019-08-27
65cc839 Fix class Service.supplicant.iwd: Broken syntax.

# Release 10.8.7 2019-08-26
b170bda Update class Admin.tools.network.wifi: Include (also since Buster) package iw (was removed since Buster in release 10.7.3).
c92f472 Add class Service.ssh.openssh.reset.
711d67a Add class Service.init.systemd.reset.
fa9f814 Fix class Service.init.systemd description.
15eb06b Update class Service.init: Include class Service.init.systemd.default by default (not Service.init.sysv.default).
3a2e996 Add class Service.ssh.advertise.
71a3608 Update class Service.ntp: Add subclasses chrony systemd.
92d8441 Update class Service.ssh: Add subclass mosh.
1a920d6 Add class Service.supplicant.
9b0fb3b Fix classes Hardware.net.enable.systemd Hardware.net.interfaces.dhcp.network-manager Hardware.net.interfaces.dhcp.systemd Service.firewall.firewalld.network-manager Service.firewall.systemd, and most of class Hardware.net.interfaces.functions (broken since introduced in release 10.8.1).
32fd4f7 Add classes Hardware.box.globalscale Hardware.motherboard.olimex.micro hw.soc.marvell.kirkwood.
c6c9b46 Update classes Desktop.mobile.sync.gtk Console.mobile.sync: Stop include syncevolution sync-ui since Bullseye (see bug#935239).
c0a79d9 Update TODOs.

# Release 10.8.6 2019-08-24
1ad4e95 Update class Desktop.web.webkit.qt: Install package qutebrowser-qtwebkit (not aora) since Buster. Closes: Bug#935608. Thanks to Paul Gevers.
045bc5a Update class Desktop.web.firefox.locale.bn: Drop subclasses BD IN, and always include package firefox-esr-l10n-bn (not firefox-esr-l10n-bn-bd firefox-esr-l10n-bn-in).
7e1a312 Update class Desktop.web.firefox.locale.en.CA: Install package firefox-esr-l10n-en-ca.
adf5736 Update class Desktop.web.firefox.locale.en.ZA: Stop install package firefox-esr-l10n-en-za.
a597ed9 Update class Desktop.web.firefox.locale.INDIA: Stop install package firefox-esr-l10n-mai.
6599d40 Update class Desktop.web.firefox.locale.ml: Stop install package firefox-esr-l10n-ml.
7d8eb03 Update class Desktop.web.firefox.locale: Drop subclass or.
43258f0 Update class Desktop.office.libreoffice.locale.EUROPE: Install package libreoffice-l10n-gd.

# Release 10.8.5 2019-08-16
238434f Update class Admin.tools.network.wifi: Fix ensure initial start of WiFi daemon iwd on Buster (see bug#934194).
520d764 Extend class Framework.rdf: Add subclass easyrdf since Bullseye.
4146158 Update class Console.design.drawing: Include package cairosvg (not python-cairosvg) since Bullseye (see bug#934911). Include package usvg since Bullseye.
375c78f Update TODOs.

# Release 10.8.4 2019-07-26
df41c4a Fix class Admin.etc.functions: Merge consecutive redirects.

# Release 10.8.3 2019-07-26
7921729 Fix class Admin.etc.functions: Single-quote regular expressions.
d75d167 Fix class Admin.etc.functions: Broken syntax in function _backup().

# Release 10.8.2 2019-07-25
adc7aa1 Update autopkgtest to cover bullseye (not buster).
8d03d2a Update class Task.music.notation.musescore: Include package musescore3 (not musescore) since Bullseye.
c32b712 Introduce suite bullseye.
6e699c2 Update class Desktop.office.libreoffice.presentation: Stop include package libreoffice-ogltrans. Closes: Bug#931032. Thanks to Rene Engelhard.

# Release 10.8.1 2019-07-08
9b7b55e Update class Admin.etc.functions: Add function _uuid().
4534e9b Update class Hardware.net.interfaces.functions: Add functions _iface_set_sociable_nm() _iface_set_private_nm() _iface_create_nm().
000769b Add classes Hardware.net.enable.systemd Hardware.net.interfaces.dhcp.network-manager Hardware.net.interfaces.dhcp.systemd Service.firewall.firewalld.network-manager Service.firewall.systemd.
944bc4a Update class hw.smp: Stop include package irqbalance.
9dd086f Fix class hw.arm.kirkwood: Include package linux-image-marvell (not obsolete linux-image-kirkwood).
3246b5d Tighten class Admin.etc.functions: Skip check for existence before grep.
b88ec97 Tighten class Admin.etc.functions: More compact backup function.
a0efe79 Update class Admin.etc.functions: Add function _clearinikey().
0ae499f Update class Admin.apt.auto.core: Mark more packages auto-installed: e2fsprogs kmod.
ee19db0 Update TODOs.

# Release 10.8.0 2019-05-03
b8cdb2f Add class Framework.pkg.apt.muon.
368b5bb Update class Framework.pkg: Fix drop subclasses apt.aptdaemon apt.cli.aptdaemon apt.gtk.aptdaemon: Obsolete.
5c02c7f Update class Framework.pkg: Fix drop subclasses packagekit.gtk gtk.packagekit: Obsolete.
b0294b8 Update TODOs.
6135f80 Update class Framework.pkg: Add subclasses gnome kde.
406950b Update class Framework.vcs.mr: Stop mark mr auto-installed.
af6ea9b Fix class Hardware.laptop.olimex: Provide only since Buster. Include class Hardware.bootloader.u-boot.sunxi.
84c6c62 Fix classes Desktop.email Desktop.email.harden: Thunderbird is available in stable Debian again.
74c5bda Improve class Admin.etc.functions: Introduce functions _setinivar _setaddinivar.
685e08a Improve class Admin.etc.functions: Avoid _backup to .bak same day as .orig.
3f9766d Improve class Admin.etc.functions: Favor _setvar on already enabled keyword over uncommenting.
7e2f6c0 Improve class Admin.etc.functions: Cover _setvar with space around = sign.
5b55066 Improve class Admin.etc.functions: Favor _setline on already enabled keyword over uncommenting. Simplify _setvar _setinivar.
fd60b62 Update class Desktop: Fix drop obsolete subclass environment.razorqt. Add subclasses environment.lxqt environment.qt tools.qt tools.network.qt media.qt media.video.qt media.video.mpv.qt office.qt office.libreoffice.base photo.view.qt qt screensaver.suckless terminal.qt web.qt. Add classes x11.sddm.elarun Framework.crypto.openssh.pinentry.qt. Update node showmebox-qt to use LXQt (Not Razor-Qt).
197e93b Fix class Desktop.environment.mate: Avoid metapackages. Add subclass image-viewer.
8ff6175 Update class Desktop.environment.gnustep.scheduling: Include package addressmanager.app.

# Release 10.7.7 2019-04-02
e8b9662 Fix class Desktop.environment.xfce: Explicitly include package xcfe4-panel.

# Release 10.7.6 2019-03-12
c260edb Fix use hint "bug" (not bogus "bugs" unsupported since boxer 1.3.0). Closes: Bug#924382. Thanks to Santiago Vila <sanvila@debian.org>.

# Release 10.7.5 2019-02-18
3031217 Fix autopkgtest: Depends on boxer. Closes: Bug#919581. Thanks to Paul Gevers.
9a45303 Update class Admin.harden: Include package debian-security-support. Include package hardening-runtime since Buster.
552389f Update class Framework.rdf.redland: Include package python3-librdf (not python-librdf) in subclass binding.python. Include package python-rdflib-tools in subclass tools. Add subclass binding.r since Buster. Include package ontospy in subclass tools since Buster.
fe691c5 Update TODOs.

# Release 10.7.4 2019-01-15
d621dc7 Fix class Framework.media.gstreamer: Stop reference obsolete v0.10 libraries.
7143e90 Extend class Desktop.editor.text: Add subclasses code prose gtk kde qt. Drop subclasses kephra kwrite leafpad mousepad pyroom.
6492483 Extend autopkgtest: Check that resolved packages are installable.
ff558ff Fix class Service.mail.sieve: Include package dovecot-managesieved (not bogus dovecot-managesieve).
b069fa8 Fix class Admin.harden: Stop include obsolete package harden.
0912ac1 Fix class cli.compression.uncommon: Stop include obsolete package zoo.
2fc23b1 Update class Framework.notebook: Fix drop obsolete subclass ipython. Add subclass jupyter.
997c1bf Fix drop obsolete classes Desktop.web.java Desktop.web.firefox.java.
1ef3915 Update class Language.java: Fix drop obsolete subclasses openjdk6 openjdk7. Add subclasses avoid limit. Add subclass openjdk11 since Buster.
a29d4b7 Fix provide data only for suites Stretch and Buster (not also future Bullseye).
abaa3e1 Update TODOs.

# Release 10.7.3 2018-12-28
d6f95cf Update class Admin.tools.network.wifi: Include package iwd (not iw wireless-tools rfkill) since Buster. Include package wpasupplicant before Buster.
6095ff3 Update class Service.ssh: Stop mark as auto-installed packages openssh-blacklist openssh-blacklist-extra: Obsolete.
ae995b1 Extend class Service.ssh: Add subclasses client server openssh.
6b7d7df Update class cli.ssh-server: Stop include package molly-guard: Too unreliable.
238ad46 Update class Hardware.laptop.olimex.teres1: Provide since Stretch (not Buster): Simplifies use even if it requires backported packages.

# Release 10.7.2 2018-12-27
b86f96f Update class Desktop.design.font.tools.gtk: Stop include typecatcher since Buster.
b5a95bc Declare compliance with Debian Policy 4.3.0.

# Release 10.7.1 2018-12-15
c7d0ddc Drop class Desktop.media.video.web: Unused since Jessie.
750ab6f Drop class Desktop.web.firefox.locale.zu Desktop.web.locale.zu l10n.hunspell.de.AT.hunspell l10n.hunspell.de.CH.hunspell l10n.hunspell.de.DE.hunspell l10n.hunspell.en.GB.myspell l10n.hunspell.en.ZA.myspell l10n.hunspell.lt.myspell: Unused since Jessie.
5cec1be Update class Desktop.filesystem.indexer.locate to use subclass gtk (i.e. package catfish, not subclass xfce i.e. package xfce4-linelight-plugin) since Buster.
cdcc9c4 Update class Desktop.environment.xfce.file-manager: Stop explicitly include package gvfs (handled in package thunar since long).
f4813c7 Update class Desktop.environment.xfce: Include (not avoid) subclass audio (GStreamer 0.10 is gone).
10d6924 Update class Desktop.mobile.sync.gtk: Stop flag package evolution-data-server as auto-installed.
a5882c9 Update node huayruro-classmate: Include class Desktop.web.webkit (not Desktop.web.webkit.gnome): package midori updated to use modern WebKitGTK+.
61c9c6d Update class Desktop.design.pdf: Include bookletimposer. Stop include pdfshuffler since Buster.

# Release 10.7.0 2018-11-12
47f7806 Stop provide deprecated suite extensions.
5753ccd Stop provide obsolete suites wheezy jessie. Introduce future suite bullseye.
5519391 Drop classes Desktop.scheduling.locale Desktop.scheduling.lightning.locale (obsolete since Quantum release of Thunderbird).
08e8323 Simplify rules: Use short-form dh sequencer (not cdbs). Stop build-depend on cdbs.
c09f6e9 Declare compliance with Debian Policy 4.2.1.
a7bcc0e Update copyright info: Extend coverage for main upstream author.
c91ef9a Update copyright info: Fix update source URL.

# Release 10.6.8 2018-11-12
9d3daad Fix class Desktop.email.thunderbird.locale: Drop locale subclasses bn pa ta (unavailable since Quantum release).

# Release 10.6.7 2018-11-10
8f93f08 Fix class Desktop.email.thunderbird.bidi: Include package thunderbird-bidiui (not iceweasel-bidiui) since Buster. See bug#913391.

# Release 10.6.6 2018-11-10
3266620 Update class Framework.pkg.apt.source.reset: Fix use host deb.debian.org (not httpredir.debian.org).
b5920cb Fix typo in TODO.
d952e9a Deprecate class Hardware.net.pac.avoid: Obsolete since libproxy 0.4.x.
21d1ac9 Fix class Service.web.mail.cider: Really install (not auto-install) package ciderwebmail.
7d8b5da Fix class Service.web.apache.gnutls: Really install package libapache2-mod-gnutls.
6a792b1 Fix class Service.web.wiki.moinmoin: Really install (not auto-install) package python-moinmoin.
e90dcd5 Update class l10n.hunspell: Use hunspell (not myspell) for locales bg ca cs el es fr he hu nl pl pt.BR pt.PT ru sk sv since Stretch. Use hunspell (not myspell) for locale lv since Buster.
776216e Update class Desktop.web.iceweasel.locale: Re-include packages firefox-esr-l10n-be firefox-esr-l10n-de firefox-esr-l10n-sl firefox-esr-l10n-uk previously dropped since Stretch.
3a4185b Update class Desktop.web.iceweasel.locale: include packages firefox-esr-l10n-cak firefox-esr-l10n-ia firefox-esr-l10n-ka firefox-esr-l10n-kab firefox-esr-l10n-my firefox-esr-l10n-ne-np firefox-esr-l10n-oc firefox-esr-l10n-ur since Jessie.
db4a9af Fix class l10n.hunspell.de.medical: include package hunspell-de-med (not bogus hunspell-en-medical).
08dab0e Update class l10n.hunspell: Add subclasses bo nb.hunspell nn.hunspell since Stretch. Add subclasses dz gug id since Buster.
2cac1de Fix class l10n.hunspell.de.DE: Include/avoid package myspell-de-de-1901 (not myspell-de-de-oldspell) since Stretch.
3872e18 Fix class l10n.hunspell: Really use hunspell (not myspell) for locales en.GB en.ZA since Jessie (as intended since June 2016, git commit 834e2bf, despite reverse commit message).
d9fe9b2 Deprecate class l10n.hunspell.en.US.myspell.
0b7bf8a Update class l10n.hunspell: Add subclass sq since Buster.
fce4ae9 Fix class Desktop.design.painting: Avoid packages mypaint mypaint-data-extras (see bug#894757).
c2077de Drop class l10n.hunspell.bg.myspell: Obsolete since Stretch (and now implied until then).
55d7366 Drop class l10n.hunspell.sv.myspell: Transitional since (at least) Jessie.
c189141 Fix class l10n.hunspell.de.de.old: Fix include package myspell-de-de-1901 (not myspell-de-de-oldspell) since Stretch.
e09de42 Update class Admin.auto.all: Flag as auto-installed package dbus since Jessie. Flag as auto-installed package apparmor since Buster.
1d9245b Update class hw.crypto: Include package jitterentropy-rngd (not haveged) since Buster.
266fc46 Update class Console.design: Include package scour (not python-scour) since Buster.
e22d4f5 Fix class Desktop.web.firefox.harden: Include packages webext-https-everywhere webext-ublock-origin. Stop include packages xul-ext-certificatepatrol xul-ext-cookie-monster xul-ext-flashblock xul-ext-noscript xul-ext-refcontrol xul-ext-requestpolicy xul-ext-y-u-no-validate (obsoleted by switch to Quantum Firefox).
c67ce5b Extend class Desktop.web.firefox.harden: Include packages webext-https-everywhere webext-ublock-origin since Buster.
717c34b Fix class Desktop.email.thunderbird.locale.fi: Stop install xul-ext-mozvoikko (handled by thunderbird-l10n-fi, see bug#792367).
de49d06 Deprecate class Desktop.email.thunderbird.sieve: Obsoleted by switch to Quantum Firefox.
3b36092 Update class Desktop.sheduling.lightning.locale: Include packages thunderbird-l10n-* (not now transitional lightning-l10n-*).
5b9065f Extend class Desktop.email.thunderbird.locale: Include packages thunderbird-l10n-cy thunderbird-l10n-kk thunderbird-l10n-ms.
a404e16 Update TODOs.

# Release 10.6.5 2018-09-15
9fc3eea Add class Desktop.environment.kde. Add class x11.sddm since Stretch.
46c8b24 Extend class Desktop.web: Add subclasses blink.gtk chromium konqueror. Add subclasses blink.qt falkon qutebrowser since Buster.
aba2a94 Add class Desktop.environment.ukui since Buster.
b7c892d Fix (really this time) class l10n.hunspell.nl (since buster): Include package hunspell-nl (not myspell-nl). Closes: Bug#886814. Thanks to Rene Engelhard.
14f794e Fix avoid needlessly include package aptitude from classes Framework.pkg.apt.proxy.reset Framework.pkg.apt.source.functions.
a6b7391 Update class Console.tools: Stop include classes Console.tools.media Framework.documentation Framework.vcs (but add explicitly - i.e. keep them - in superclass Console). Include class Console.editor.
0c43119 Update class Console.tools: Include package wget (not class Console.tools.web) in class Console.tools.network.
648ed6b Update class Framework.pkg.apt.source.reset: Use host deb.debian.org (not httpredir.debian.org).
e2cfcda Add more ideas to TODO.

# Release 10.6.4 2018-07-13
aa9d357 Update class Hardware.laptop.purism.librem13v1: Add class Hardware.nic.realtek (uses firmware RTL8168E-2 available since firmware-nonfree 0.38).
d921b5a Add class hw.soc.allwinner.a64 (since jessie). Add class Hardware.laptop.olimex.teres1 (since buster).
2100fb2 Update Vcs-* fields: Source moved to Salsa.
38dc94b Declare source package as not requiring root to build.
3222aa7 Declare compliance with Debian Policy 4.1.1.
db9cb70 Update package relations: Stop build-depend on dh-buildinfo.
7ee580d Add a bunch of ideas to TODO file.
d679ff1 Add autopkgtest.
35790a9 Prepare for release: Update changelog.

# Release 10.6.3 2018-01-21
8a93c0d Update class Console.design.painting: Include package optipng (not inferior package pngcrush).
06c6fed Update node huayruro-classmate: Stop include class Desktop.office.gtk.
c8f0638 Update class Desktop.office.libreoffice.word-processor: Stop avoid package libreoffice-emailmerge (since jessie): Obsolete.
a704c96 Update classes Desktop.environment.xfce.base Desktop.environment.xfce.audio: Include/avoid package xfce4-pulseaudio-plugin (since stretch), and stop include/avoid xfce4-mixer xfce4-volumed.
d9f2d6d Update class Console.media.audio.pulseaudio.client: Include package pulsemixer (since buster).
2e14a99 Fix class Desktop.web.firefox.locale.de spuriously dropping all packages when included (since stretch): Single package commented out need pkg: declaration itself commented out.
d35054a Fix class l10n.hunspell.nl (since buster): Include package hunspell-nl (not myspell-nl). Closes: Bug#886814. Thanks to Rene Engelhard.
0dbcc48 Add some TODOs.
e2e4e43 Add new classes Hardware.igp.intel.skylake Hardware.laptop.purism Hardware.motherboard.intel.skylake-u Hardware.nic.atheros Hardware.sound.intel.

# Release 10.6.2 2017-11-13
87b2864 Fix class x11.lightdm.gtk to include package slick-greeter (not bogus lightdm-slick-greeter). Thanks to Mattia Rizzolo.
86024c0 Add class hw.soc.allwinner.a64 (since buster).

# Release 10.6.1 2017-11-09
ba16c61 Fix class l10n.hunspell.sl: Include package hunspell-sl (not myspell-sl). Closes: Bug#872712. Thanks to Mattia Rizzolo and Rene Engelhard. Relax class Desktop.web.firefox.locale.EU (since stretch): Avoid package firefox-esr-l10n-sl (see bug#881241).
5aa038b Extend class x11.lightdm.gtk: Add subclass slick since buster, and use that by default (gtk greeter recommends metapackages).
63ba45a Update TODOs.

# Release 10.6.0 2017-11-05
d5eb872 Fix typo in changelog entry.
378f2b4 Fix class Desktop.web.iceweasel.locale: Drop locale be (since stretch). Closes: Bug#864985. Thanks to Peter Green.
974682f Add suite buster.
e361018 Fix class Desktop.designcolor: Drop package gcolor2 (since stretch). Closes: Bug#869155. Thanks to Tobias Frost.
f0f2d22 Fix class Admin.etc.functions to use grep -E (not deprecated egrep). See bug#867658, #867695.
89ef39d Simplify rules: Stop resolve package relations in rules file.
e12e60b Modernize Vcs-* fields: Consistently use git (not cgit) in path. Consistently include .git suffix in path.
0ae2e44 Declare compliance with Debian Policy 4.1.1.
119d576 Stop override lintian for package-needs-versioned-debhelper-build-depends: Fixed in lintian.
aa2a718 Tighten lintian overrides regarding License-Reference.
cff825f Update copyright info: Use https protocol in file format URL.
79cb59c Update copyright info: Extend coverage for myself.

# Release 10.5.20 2017-04-19
c95ae81 Fix isolate deprecated classes from non-deprecated classes

# Release 10.5.19 2017-04-19
0f287ed Fix included jessie-deprecated classes, avoiding broken symlinks. Closes: Bug#860581. Thanks to Andreas Beckmann.

# Release 10.5.18 2017-04-14
9375deb Fix class Desktop.scheduling.lightning: Install package lightning (not bogus lightning-extension).

# Release 10.5.17 2017-04-14
6f94da7 Fix revert class l10n.hunspell to use myspell (not hunspell) for Norwegian: Firefox locale packages still too picky.
4cd302b Fix revert class Desktop.email.thunderbird.bidi to include package icedove-bidiui (not bogus thunderbird-bidiui).

# Release 10.5.16 2017-04-14
4ec9fd2 Rename class Desktop.web.iceweasel → Desktop.web.firefox.
d4afdbc Adapt classes referencing Desktop.web.iceweasel (or Desktop.web.locale).
59190f5 Re-add class Desktop.web.iceweasel, but deprecated.
e0184de Rename class Desktop.email.icedove → Desktop.email.thunderbird. Rename class Desktop.scheduling.iceowl → Desktop.scheduling.thunderbird.
4b6d463 Adapt classes referencing Desktop.email.icedove or Desktop.scheduling.iceowl (or Desktop.email.locale or Desktop.scheduling.locale).
a3abf1f Re-add classes Desktop.email.icedove Desktop.email.locale, but deprecated.
420a011 Re-enable class Console.mobile.sync (see bug#824426).
c9a0f2d Fix re-enable Norwegian dictionary and locale packages (see bug#824750, #824776).
7efcc04 Fix re-enable Icelandic dictionary package (see bug#782720).
4886256 Fix re-enable Gaelic locale package (see bug#782720).
2745aef Fix re-enable Lithuanian locale packages, and favor hunspell over myspell (see bug#824750, #824776, #824796).
5f43320 Fix favor hunspell dictionary over myspell for Croatian (see bug#824750, #824776).

# Release 10.5.15 2017-03-04
2f9ae28 Improve class Framework.pkg.apt.avoid-removals: Avoid removals without favoring downgrades. Add more bug references.
35a0bbc Avoid Pencil2D: Deemed immature by its package maintainer. See bug#854277.

# Release 10.5.14 2016-12-29
14f4bb3 Extend class Console: Add subclass web. Include Console.web in Console. Include Console.web.tools in Console.tools.network.
a897369 Extend class Console.tools.network: Add package rsync.
9886c9b Extend class Admin.apt.tools.changes: Add subclasses confirm which.
95bd64c Change class Admin.tools: Include class Admin.tools.disk.partition. Stop include classes Console.tools.media Framework.documentation Framework.vcs Admin.tools.dns.

# Release 10.5.13 2016-12-22
a4a2a43 Avoid BookletImposer since stretch. See bug#834007 (and #846263).

# Release 10.5.12 2016-11-05
199195f Fix release version and date in CHANGES.
932eff2 Add device-specific u-boot classes.
5dad6f4 Fix class Framework.pkg.apt.source.functions (missing escape in function _setaptsrc).
de511eb Fix class Admin.disk.auto (append var if missing: rcS file is empty by default since stretch).
1d21502 Have class Admin.auto stop include Admin.disk.auto. Mention in Admin.disk.auto description it being useful only with non-systemd init systems.
2777b2d Fix class Framework.pkg.apt.source.functions (missing separator before function _resetaptsrc).
c4ae3e4 Fix class Framework.pkg.apt.proxy.reset (wrongly expected /etc/apt/apt.conf to always exist).
65f48cf Fix class Framework.pkg.apt.source.reset (broken variable expansions, stray trailing curly quote).
a147104 Fix class Service.mail.mta.avoid for Stretch: list MTAs individually (cannot avoid a virtual package).
7111bb5 Add TODO on testing Service.mail.mta.avoid coverage.
d52bd28 Extend class Service.mail.mta: Add subclasses dma msmtp.
8793479 Extend class Service.firewall: Add subclass firewalld.
a11136a Add class Framework.localization.limit.
fe87162 Stop include atop in class Admin.tools.processes (only limited use).
a0648fa Extend class Admin.tools.dns: Add subclass knot. Move default to subclass bind9.
1f82826 Fix class Service.init.systemd.init (accidentally included wrong package sysvinit).
6fc2697 Extend class Service.scheduler: Add subclass systemd.
c866ee6 Extend class Admin.apt.tools: Add subclass libreload since Jessie, included in main class.
7260d17 Add TODO about packages with limited security support.
46d47b7 Fix class Desktop.office.libreoffice since Stretch: Add gtk subclasses gtk2 gtk3, and adjust subclass gnome to use gtk.gtk3. Closes: Bug#833796. Thanks to Rene Engelhard.

# Release 10.5.11 2016-06-18
3d4005a Add class Framework.pkg.apt.source.functions.
6f9a2d2 Add class Console.tools.media.
a8e27c3 Fix class Admin.etc.functions to escape $ in regex.
8b41042 Improve class Admin.etc.functions to bang-enclose regex (instead of comma, more likely to appear in content.
0815ae7 Improve class Admin.etc.functions: Introduce functions _setappendline _setappendvar.
8c3aeeb Add class Service.init.
622bde3 Fix temporarily suppress class Console.mobile.sync since Stretch (see bug#824426).
66ee85a Update class Desktop.scheduling.iceowl.locale: Include locales ar be bn br cy el fi gd gl he hy id lt nb-no pa pt rm ro si sl sq sr ta tr uk vi since Jessie (not only Stretch: Introduced in point release 8.5).
69e1777 Update class Desktop.web.iceweasel.locale: Include locales an az dsb eo gn hsb ms sr uz  since Jessie (not only Stretch: Introduced in point release 8.5).
886c146 Update class Desktop.web.iceweasel.locale: Fix avoid obsolete locale zu since Jessie (not only Stretch).
6d97ed1 Update class Desktop.email.icedove.locale: Have locale class bn include bn.IN since Stretch.
3ac79d1 Update class l10n.hunspell: Use myspell (not hunspell) for locales en.GB en.ZA since Jessie (not only Stretch).
e4dbc7d Extend class Desktop.mobile.sync: Subclass by widget framework and add more packages.
fc5d382 Add classes hw.soc.ti Hardware.nic.ti Hardware.nic.marvell Hardware.motherboard.goldelico Hardware.laptop.openpandora.
8b0260c Extend class Console.tools: Include Console.compression.
ef1f12f Extend class Console.tools: Include Console.tools.media.
65e6883 Add class Language.c.
1fc99d8 Extend class Console.tools.filesystem: Add package eject.
366a64e Extend class Admin.tools.hardware: Add package usbutils.
1677374 Extend class Service.display.xorg.video: Add subclasses all.avoid omap.
aa2e362 Extend class Admin.tools: Add subclasses disk hardware.low-level network.

# Release 10.5.10 2016-05-31
ef7c6a8 Fix class Desktop.web.iceweasel.locale: Avoid locales no-* in EUROPE (not only SCANDINAVIA).
5e3e7b2 Fix class Desktop.web.iceweasel.locale: Avoid including metapackage icedove-l10n-all.
800ab70 Fix class Desktop.email.icedove.locale: Avoid locales no-* in EUROPE (not only SCANDINAVIA).
9b5e4da Improve class Desktop.scheduling.iceowl.locale: Stop avoid locales lt no-* (see bug#824750).
5b1c035 Improve class Desktop.web.iceweasel.locale: Stop avoid locale bg (not affected my myspell/hunspell issue).
f6b81c8 Improve class Desktop.web.iceweasel.locale: Include locale pa-in.
7fc25e2 Improve class Desktop.office.libreoffice.locale: Include locales am gug st.
4c75c14 Fix class Desktop.web.iceweasel.locale: Include locale sr only since Stretch.
1f0c8ae Fix class Desktop.web.iceweasel.locale: Stop include locales csb ku zu in Jessie (available only as security update).
98dfcaf Fix class Desktop.office.libreoffice: Stop include subclass theme.galaxy.avoid (not only since Stretch).
f9710dc Fix class l10n.hunspell: Use hunspell (not myspell) for de-* only since Stretch.
cf3c5ae Fix localeregion classes: Avoid packages hunspell-sr hunspell-vi in Jessie (clashes with myspell-da).

# Release 10.5.9 2016-05-31
606747f Fix avoid iceweasel locale packages de bg uk recommending only myspell since Stretch.

# Release 10.5.8 2016-05-30
f90a092 Fix work around myspell/hunspell clash for locales de-* gd uk since Stretch: Have classes l10n.hunspell.* include hunspell-* (not myspell-*).
bc9c5d9 Fix avoid Norwegian dictionaries missing since Stretch, use hunspell (not missing myspell) by default, and avoid mozilla locale packages recommending only myspell. See bug#790765, #802950.

# Release 10.5.7 2016-05-19
c604ebb Fix class l10n.hunspell.hunspell.lt: Package myspell-lt is gone (replaced with transitional package effectively conflicting with itself) since Stretch.
8e332be Fix class l10n.hunspell.hunspell.vi: Only hunspell exists.
6de4995 Fix class Desktop.office.libreoffice.locale.ASIA: Drop locale package ku gone since Stretch.
0994df8 Fix avoid Mozilla packages for locale lt since Stretch.

# Release 10.5.6 2016-05-19
fc63bfd Fix class l10n.hunspell to favor myspell subclasses until hunspell accepted in Mozilla locale packages: bg ca cs de el es fr gd he hr hu it lt nb nl nn pl pt ru sk sl sv uk vi.

# Release 10.5.5 2016-05-18
eb2dd16 Fix class Desktop.email.icedove.bidi to include icedove-bidiui (not bogus icedove-l10n-bidiui).
461016a Fix class Desktop.web.iceweasel.locale.AFRICA to stop include iceweasel-l10n-ak iceweasel-l10n-lg since Jessie.
d23a0f7 Fix class Desktop.web.iceweasel.locale.ASIA to stop include iceweasel-l10n-ku since Stretch.
ecde483 Fix class Desktop.web.iceweasel.locale.ZA to stop include iceweasel-l10n-zu since Stretch.
57f2956 Fix class Desktop.web.iceweasel.locale.ASIA to consistently include iceweasel-l10n-ta (not iceweasel-l10n-ta-lk).
4ea0b9b Fix stop include bogus mythes-zu.

# Release 10.5.4 2016-05-18
88df7d4 Fix have class Desktop.office.libreoffice stop include subclass theme.galaxy.avoid since Stretch: Tango theme depends on Galaxy theme in LibreOffice 5). See bug#823962 and https://lists.debian.org/debian-openoffice/2015/09/msg00343.html
d5d8db1 Extend class l10n.hunspell: Add be. Add br (since Jessie). Add bs (since Stretch).
f29028b Extend use of l10n/hunspell localeregion subclasses.
3b3eb9f Extend use of l10n/hyphen localeregion subclasses.
f05db64 Extend use of l10n/mythes localeregion subclasses.

# Release 10.5.3 2016-05-06
0d4ddad Fix accidentally avoiding gnome-system-tools for stretch (leftover from buggy usermode).

# Release 10.5.2 2016-05-06
e654034 Use https protocol in Vcs-Git URL.
83a5a25 Declare compliance with Debian Policy 3.9.8.
0dc9995 Modernize git-buildpackage config: Filter any .git* file.
1dac1cf Update copyright info: Extend copyright of packaging to cover current year.
c6be362 Fix class Desktop.web.iceweasel.locale.INDIA.
1f9bba4 Extend class Desktop.web.iceweasel.locale with locales an az gn ms uz (since stretch).
7a088d1 Fix class Desktop.web.iceweasel.locale.ALL: Include subclasses (not metapackage).
94403cb Extend class Desktop.web.iceweasel.locale with locale eo (since stretch).
716de2b Extend class Desktop.email.icedove.locale with localeregions AFRICA ALL.
a49cd5d Fix class Desktop.email.icedove.locale: Include in subclass ALL other subclasses (not metapackage).
1e02fa6 Fix Desktop.scheduling.iceowl.locale: Extend subclass EU (not EUROPE) with subclass lt (since stretch).
95164f6 Fix class Desktop.locale: Include in subclass AFRICA class Desktop.email.locale.AFRICA (jessie onwards, not only wheezy).
c216661 Extend class Desktop.locale: Extend subclasses AMERICAS AFRICA ASIA ZA with Desktop.scheduling.locale subclasses (since jessie).
eec933b Deprecate classes l10n.hunspell.nb.myspell l10n.hunspell.nn.myspell.
00d12de Extend/improve class l10n with subclasses AFRICA ALL ASIA ar ca da et is kn nb nn sv sw.
1927da2 Fix class Desktop.office.libreoffice.locale: Include in subclass EUROPE (not EU) package libreoffice-l10n-ga.
9d934b6 Fix class Desktop.web.iceweasel.locale: Include in subclass ASIA (not EUROPE) package iceweasel-l10n-hy-am.
1b0871d Fix class Desktop.scheduling.iceowl.locale: Include in subclass ASIA (not EUROPE) package iceowl-l10n-hy-am.
f890a88 Fix class Desktop.email.icedoce.locale: Include in subclass ASIA (not EUROPE) package icedove-l10n-hy-am.
f257ee8 Extend/improve class l10n.aspell with subclasses EU bg cs el et fr hr hu it lt lv nl pl pt ro sk sl.
de35618 Extend/improve class l10n.hunspell subclasses ZA af.
3e05bda Extend/improve class l10n.hunspell subclass en.
33121f7 Extend/improve class l10n.hunspell subclasses EU bg cs el es et fr ga hr hu it lt lv nl pl pt ro sk sl.
67f586c Extend/improve class l10n.hyphen subclasses EU AUROPE cs es is ru.
1a5ddeb Extend/improve class l10n.hunspell subclasses EUROPE an ca eu fo gd gl gv oc ru sr uk.
c9f3509 Extend/improve class l10n.hunspell subclasses NORDIC fo.
6aee668 Extend/improve class l10n.aspell subclasses EUROPE br ca cy eu ga gl hsb ru uk.
08dc203 Extend/improve class l10n.hunspell subclasses ASIA fa he hy kk kmr ko lo si th tl uz vi.
8df940c Fix class l10n.hunspell.sw.
4a53d12 Extend/improve class l10n.hunspell subclasses ALL AMERICAS eo pt.
7bd1d2a Extend/improve class l10n.aspell subclasses AFRICA am.
8791b60 Extend/improve class l10n.aspell subclasses ALL AMERICAS eo pt.
73285c9 Extend/improve class l10n.aspell subclasses ASIA fa he hy kk kmr tl uz.
6991a2e Extend/improve class l10n.hyphen subclasses INDIA ml or.
efcb792 Extend/improve class l10n.enchant subclasses EU EUROPE ALL.
bbc7352 Extend/improve class l10n.hunspell subclasses ALL AFRICA AMERICAS EUROPE de en es fr.
5b70943 Extend/improve class l10n.hyphen subclasses AFRICA ASIA as bn fr pa.
714edd4 Extend/improve class l10n.ispell subclasses ALL AMERICAS AFRICA ASIA EUROPE EU da de en fi fo nb nn sv.
8afd8aa Extend/improve class l10n.ispell subclasses ALL AFRICAS AMERICAS ASIA EUROPE EU bg ca cs eo es et fr ga gd gl gv hu it nl pl pt ru tl uk.
bdecfc6 Extend/improve class l10n.wordlist subclasses ALL AFRICAS AMERICAS EUROPE EU bg ca es fr gl it nl pl pt uk.
5be4718 Extend/improve class l10n.hyphen subclasses ALL AFRICAS en.
b33a78e Extend/improve class l10n.manpages subclasses ALL EUROPE EU de.
b91bdfe Extend/improve class l10n.mythes subclasses ALL AFRICA AMERICAS EUROPE EU bg ca es fr gl hu it lv pl pt ro ru sk sl uk.
e063d1a Fix class l10n.mythes.en.AU.
ba0aa9f Extend/improve class l10n/* subclasses AMERICAS en es fr pt.
d589a9d Extend/improve class l10n.
8e126d9 Extend use of class l10n.

# Release 10.5.1 2016-05-04
e77c57a Fix avoid LibreOffice metapackage for localeregion ZA (individual locales explicitly included instead).
839f287 Add localeregion classes Desktop.scheduling.locale.ASIA Desktop.scheduling.iceowl.locale.ASIA (since jessie).
c0c728e Add localeregion classes Desktop.scheduling.locale.AMERICAS Desktop.scheduling.iceowl.locale.AMERICAS (since jessie).
daf2b9e Extend class Desktop.scheduling.iceowl.locale with INDIA/ASIA locales ar bn he id pa ru si ta tr vi (since stretch).
7e9ae80 Extend class Desktop.scheduling.iceowl.locale.AMERICAS with locale pt_BR (since stretch).
1914efd Extend class Desktop.scheduling.iceowl.locale with EU locales el fi hr pt-pt ro sl, and non-EU EUROPE locales be br cy gd gl hy-am lt nb-no rm sq tr uk (since stretch).

# Release 10.5.0 2016-05-03
4a7efb1 Add class Service.print.postscript.
40e44b5 Add class Console.editor.vim.minimal.
1ba44ac Add subclasses Hardware.net.bluetooth.acpi Hardware.laptop.acpi (to support non-ACPI hardware).
3da2658 Add classes Desktop.media.video.totem Framework.media.gstreamer.gtk2.alsa Framework.media.gstreamer.gtk3.alsa.
8dc7716 Add class Framework.web.npapi.flash.
782ef18 Add class Desktop.wm.fluxbox.
516cff4 Fix have class Desktop.media.video.mpv.gtk include Desktop.media.video.mpv, and mark package mpv as auto-installed.
8d83828 Add class Desktop.media.video.gtk.
f2e76ac Add classes Framework.theme.mate Desktop.environment.mate.file-manager Desktop.environment.mate.policykit-agent since Jessie.
f4d62af Fix syntax error in class Desktop.filesystem.manager.xfce.
8975912 Fix double inclusion in class Desktop.environment.mate.official.
28016ca Fix add surf (not midori) in class Desktop.web.webkit.gtk: Midori is poorly maintained, and missing in Jessie.
3f52ac4 Add class Service.hdaps, and include in Hardware.hdaps.
3c7f67f Include Pencil2D to class Desktop.design.animation.
a5cb90c Extend Hardware classes where relevant with hw.acpi hw.smp.

# Release 10.4.0 2015-12-23
05f4d92 Fix avoid mail-transport-agent (not install gone lsb-invalid-mta) for Stretch.
3f3114d Add classes Desktop.email.gtk Desktop.email.sylpheed.
9f57940 Add class Desktop.media.video.mpv.gtk for Stretch.
1012820 Fix untie Desktop.environment.xfce.power from its superclass.
0ab2c1f Fix avoid hpijs-ppds (not bogus hpijs) in class Service.print.cups.avoid.
0174457 Fix avoid only non-meta printer-driver-* depending on or recommending cups in class Service.print.cups.avoid.
3cbc54a Extend class Service.print with printer driver subclasses.
e96c420 Add class Service.print.cups.ipp-usb for Stretch.
7a84225 Add classes x11.gdm Desktop.filesystem.manager.nautilus Desktop.environment.gnome Framework.theme.gnome.
c9b3e1e Add class Desktop.environment.lxde.policykit-agent.
e782819 Fix syntax of class Console.bidi.
03a04b6 Add class Desktop.office.libreoffice.gnome.
847a0b1 Add classes Service.print.cups.client Service.print.cups.bsd.
6089328 Extend class Service.print.minolta.zjstream with non-free firmware download tool hannah-foo2zjs.
6668d4d Extend class Language.tcl.avoid to also avoid tk (useful with Service.print.minolta.zjstream).
d04f2ed Add class Service.print.minolta.zjstream.avoid.gui.
8fcf2b7 Add class Desktop.tools.print.
486bece Stop include Console.filesystem.indexer in Console: Arguably too uncommon a feature.
f2a3afb Fix section label of class Framework.crypto.base.
3649aae Fix section label of class Framework.media.gstreamer.avoid.
acba5b2 Fix section label of class Framework.media.libvisual.limit.
66254e7 Fix section label of class Framework.media.wildmidi.limit.
9d93f72 Fix section label of class Framework.notebook.base.
77d8e86 Fix section label of class Framework.media.gstreamer.avoid.
31d814a Add class Framework.documentation.
c105815 Fix add Console.locale.avoid, and stop avoid Desktop classes in other subclasses of Console.locale.
a4c2da4 Fix typo in package description for class Desktop.wm.openbox.limit
0456c49 Add class Framework.filesystem.gvfs.
cd6eb81 Add classes Desktop.environment.lxde.limit Framework.auth.gnome.keyring.avoid.
3390176 Fix limit linux kernels marked as auto-installed.
7c4cab3 rename class Desktop.tools.terminal.lxde → Desktop.terminal.lxde, and deprecate the former.
d7e0e46 Subclass Console.tools. Update class Console.tools.filesystem to include package dfc in both stretch (i.e. only avoid in jessie).
cde57ed Add class Framework.vcs.
d40a35b Add notes on version numbering to README.source.

# Release 10.3.4 2015-12-04
bf4c49e Include gnome-system-tools (not usermode - too unstable) in class Desktop.tools.account.
4caa580 Add classes Desktop.environment.lxde Desktop.tools.terminal.lxde Framework.theme.lxde.

# Release 10.3.3 2015-11-28
61637a3 Extend class Service.ntp, and install openntpd (not ntp) by default.
d1f21ba Deprecate Hardware.crypto (as intended in release 7).
e40ca5f Add class Service.scheduler. Include in classes Service, and include Service.scheduler.anacron in Hardware.power.
ed79dad Avoid task-* packages (use corresponding classes/packages instead.
c055921 Deprecate hw.power (as intended in release 7).
7aa96ff Add class Service.time.openntpd.force.
a366b94 Add subclasses for Framework.pkg.apt and Admin.apt.
12df03e Fix have _backup() create *.bak file if *.orig exists, in class Admin.etc.functions.
aaccaa4 Fix have _clone() force-copy (backup was made), in class Admin.etc.functions.
7066483 Fix have _clone() test existence of source before making backup, in class Admin.etc.functions.
5307167 Add function _backup_todir() to class Admin.etc.functions.
842a8e3 Add function _setline() to class Admin.etc.functions.
a9f325c Add class Service.dns.caching.
15bbdce Add class Console.setup.
841cac5 Fix broken init class Framework.pkg.apt. Fix typo in class Framework.pkg.base.
8d15f54 Add class Service.firewall.
cdb2360 Add class Hardware.net.interfaces.
0b89db9 Add ARM-related subclasses for hw and Hardware.
c655239 Update TODO: Add note on regression testing shell code.
9fe2c3d Add subclasses for Service.dhcp.
a2b4016 Add node gateway.

# Release 10.3.2 2015-11-23
6c850f8 Fix include origami-pdf (not origami) in Desktop.design.pdf.

# Release 10.3.1 2015-11-21
2dd07b5 Pseudo-drop (i.e. empty) Stretch class Desktop.media.video.web: No longer sensible even to avoid.
73b90fd Fix suppress failure to mark package auto-installed.

# Release 10.3.0 2015-11-07
d61ea00 Add many more hyphen classes, and include them in libreoffice locale classes.
d937fa8 Tighten ZA localeregion classes to include only UK subsets of ispell and wordlist.
748e537 Fix include class l10n.hunspell.af in relevant locale classes.
fe06e7d Add class Console.bidi.

# Release 10.2.1 2015-11-03
7ba74d7 Fix add missing ZA localeregion classes, and class l10n.hyphen.en.
f7ca8ef Add sample ShowMeBox nodes, to test classes Desktop.environment.gnustep Desktop.environment.razorqt Desktop.locale.ZA Framework.notebook.ipython.

# Release 10.2.0 2015-11-03
358a9ae Add Zulu locale classes.
6178ae8 Add Xhosa locale classes.
18e81fb Add Northern Sotho locale classes.
053f188 Add Tswana locale classes.
c2a32f3 Add Tsonga locale classes.
eddc704 Add Swazi locale classes.
f3bdaa5 Add Venda locale classes.
bec3bec Add Transvaal Ndebele locale classes.
2ee234a Add Afrikaans locale classes.
4df56be Fix drop bogus package iceweasel-l10n-nso from class Desktop.web.iceweasel.locale.ZA.

# Release 10.1.1 2015-11-03
9a0090a Fix drop dfc from Wheezy and Jessie (not only Stretch).

# Release 10.1.0 2015-09-17
04a8e59 Add class Framework.notebook.ipython.
d4faab4 Add classes Desktop.environment.gnustep Desktop.wm.windowmaker x11.wdm.
c7c36b5 Extend class Framework.media.gstreamer.avoid to also avoid GStreamer 1.0 since Jessie.
58e6af0 Update class Console.tools to not include dfc, and Desktop.tools.account to not include usermode (both hopefully only temporarily).
72ee943 Singlequote-escape \n.

# Release 10 2015-07-15
e1d154f Add class Desktop.photo.view.
3d5654a Extend class Desktop.media.
8ae3924 Stop have class Desktop.media.video include EsounD wrapper (needed only for mplayer, not mplayer2).
2114574 Relax class Desktop.environment.xfce.audio to not include base Xfce, and add wrapper Desktop.media.audio.xfce.
7b3dbd3 Have Jessie class Desktop.media.audio.pulseaudio add pasystray.
9a8ce89 Have class Hardware.laptop.lenovo.edge145 include Hardware.nic.realtek.
c90048f Enable firmware where relevant (i.e. all current motherboard classes).
a447b0e Rename class Hardware.firmware → hw.firmware, deprecating the former.
e255027 Refactor class Desktop.environment.xfce to have less in base yet include more by default.

# Release 9 2015-07-14
b47c40d Add basic testsuite.
37e77f4 Fix stop use bogus class Desktop.office.libreoffice.java.avoid.
82c1063 Extend coverage of Finnish locale.

# Release 8 2015-07-14
0bec1fa Add Finnish spell engine Voikko to classes Desktop.office.libreoffice.locale.NORDIC and Desktop.mail.icedove.locale.NORDIC.
104f5cc Fix refactor class Desktop.office.libreoffice to separate gtk support from avoiding some components, and avoid per default (accidentally messed up in release 7).
5eb9162 Fix add to Jessie class Desktop.office.libreoffice.locale.EUROPE package libreoffice-l10n-gd (accidentally dropped in release 7).
ef2683e Fix add to Jessie class Desktop.office.libreoffice.locale.ASIA packages libreoffice-l10n-kk libreoffice-l10n-kmr (accidentally dropped in release 7).
11cdc5d Fix class l10n.hunspell.en.GB.myspell to use lowercase for package myspell-en-gb.

# Release 7 2015-07-07
3d98305 Update copyright info: Extend coverage for packaging to current year.
82a2fe3 Drop (in debian/rules) jessie-deprecated class from before release of Jessie. Introduce stretch classes.
eaf88ce Add a bunch of TODOs.
7a09656 Fix drop package gstreamer0.10-ffmpeg from Jessie class Framework.media.gstreamer.avoid: Obsolete.
8430228 Fix stop avoid obsolete epdfview in Stretch class Desktop.office.gtk.document-viewer.
8b4e38c Fix rename Jessie class Desktop.office.pdf.gtk → Desktop.office.gtk.document-viewer.
10e5782 Fix rename Jessie class Console.media.gstreamer.avoid → Framework.media.gstreamer.avoid.
2a3087d Fix stop have class Task.harden.desktop include Framework.media.gstreamer.avoid: Unrelated to hardening, and clashes with indirect GStreamer dependency via task-xfce-desktop (see bug#774282).
a79ace3 Fix stop have Jessie class Desktop.scheduling.iceowl.locale.NORDIC include iceowl-l10n-fi: Only in experimental yet (see bug#774281).
de4fe82 Add Stretch node huayruro-classmate.
41d4547 Add Stretch classes Desktop.environment.sugar Framework.theme.sugar.
6eb0c6f Add Jessie node hans.
08a1f74 Add Jessie class Desktop.email.geary.
1df87cb Add classes Desktop.editor.text.leafpad Desktop.environment.gnome.documentation.avoid Desktop.web.webkit.gnome Framework.color.colord.avoid Language.tcl.
006f851 Fix rename class Hardware(.init) → Hardware.base.
884d723 Fix have class Language.perl.base include Language.base (not bogus Language).
b20fa14 Add class Service.mail.mailx.avoid.
f7f5ba6 Add subclasses for Service.mail.mta.
8d3411f Add subclasses for Hardware.gl.
1e6db97 Move class x11.xdg.icons → Framework.theme.tango, deprecating the former.
a7cba94 Fix have class Desktop.office include Desktop.office.gtk.document-viewer (not Desktop.office.gtk).
2b8e2ff Fix have class Desktop.office.libreoffice include applications (not only GTK+ theming).
f821fc7 Stop have class Desktop.mobile include evolution-data-server.
9355643 Fix have class Hardware.laptop.intel.classmate include hw.x86.amd64 (not hw.mac.laptop).
f91a809 Fix have class Hardware.motherboard.asus.a7n8x include hw.x86.amd64 hw.acpi (not bogus Hardware.cpu.amd.athlon).
0b6f970 Fix syntax of class Task.music.notation.musescore.
c2b2059 Fix have class Admin.apt include Framework.pkg.apt.cli.aptitude (not dropped Admin.apt.aptitude).
e7100b6 Simplify clean rules.
04b6642 Add bug closures for classes l10n.hunspell.da.myspell l10n.myspell.de.CH.hunspell.
c7e9fb0 Add class Hardware.nic.broadcom.b43. Add class Hardware.nic.broadcom.b43 to class Hardware.laptop.lenovo.edge145 since Jessie: Non-free STA driver unneeded since kernel 4.0.5.
33744c6 Add class Hardware.hdaps to classes Hardware.laptop.lenovo.edge145 Hardware.laptop.acer.aa0725.
d29a11e Add a slew of Hardware subclasses and a few Service.display.xorg.video subclasses.
8e346dc Have Stretch class Desktop.office.gtk.document-viewer install evince (replacing obsolete evince-gtk).
77c9036 Add classes Desktop.office.gtk.spreadsheet Desktop.office.gtk.word-processor.
579bc69 Redefine class Desktop.office.gtk to mean GTK+-related office tools (not mirror-class for GTK+ parts of default - i.e. LibreOffice - office tools). Rename and split class Desktop.office.pdf → Desktop.office.gtk.document-viewer Desktop.office.qt.pdf-viewer, deprecating the former.
d745cfb Drop wheezy-deprecated and jessie-deprecated class from before release of Jessie. Introduce stretch classes.
8e93614 Add class Framework.theme.gtk.gtk2.gnome.avoid.
4d886c3 Limit classes ...locale.SCANDINAVIA to mutual intelligible languages, and add superclass NORDIC for full coverage of the region.
c0d6cf3 Fix description for class Desktop.web.iceweasel.locale.SCANDINAVIA.
0719f70 Avoid cufrequtils and deprecate (now empty) class hw.power: Better handled by kernel modules since Wheezy.
efddb44 Adjust README: Classes are neither objective nor subjective.
1dd13ef Stop embed __PKGAUTOLIST__ in tweaks in class Admin.apt.auto.all (supported since Boxer 0.004).
c79e4d5 Add APT-related subclasses Framework.pkg.*. Deprecate Admin.apt.aptitude.
9f8b970 Fix add init for class Desktop.web.webkit.
2017f19 Add Jessie class Desktop.environment.mate.
9c599fe Add class Desktop.web.webkit.qt.
f9947d0 Add class Desktop.office.pdf.qt.
0e0715f Add class Desktop.wm.openbox and Jessie classes x11.lightdm.razorqt Desktop.environment.razorqt.
e525b9a Rename Desktop.tools.gnupg → Desktop.tools.pgp.
b6d199f Fix avoid Console.harden including Desktop.tools.gnupg.
f58a21f Add classes Framework.crypto.openssh.pinentry.* and Desktop.tools.ssh.
2c59052 Add class Task.music.notation.musescore.
2dad5cb Rename class Task.desktop.harden → Task.harden.desktop.
ca476c6 Have Desktop.design.pdf install origami.
6bf07a6 Add class Framework.pkg.distinkt for Jessie, and include in Language.perl.devel.tools and (as class, not packages) Task.data.linkeddata.
c221a94 Fix adapt and extend Framework.rdf and Task.data.linkeddata for Jessie.
d75aab0 Fix include only reverse dependencies of package libcode-tidyall-perl in Wheezy.
a2adf1a Add Service.filesystem.net.afp Service.filesystem.net.nfs Service.filesystem.net.smb.
b13333c Add Desktop.editor.rdf Framework.rdf Service.web.linkeddata Task.data.linkeddata.
109b5dd Add Desktop.filesystem.indexer.semantic Service.filesystem.indexer.semantic Framework.media.libvisual.limit.
58b1959 Add Console.harden Desktop.tools.gnupg Framework.crypto.gnupg.pinentry, and include Desktop.tools.gnupg in Desktop.harden.
0420e9d Add Console.filesystem.indexer Desktop.filesystem.indexer Service.filesystem.indexer, and include locate-based indexer in base classes Console and Desktop.
8906bf4 Add Language.perl.
5f5d87e Fix consistently lowercase parameter labels.
b7d31ee Add Framework.web.webkit.webkit1.gtk.avoid.
b96a7a1 Deprecate Desktop.filesharing.bittorrent. Rename Desktop.filesharing → Desktop.filesystem.net. Add Service.filesystem.net.bittorrent.
7545211 Rename Desktop.editor.* → Desktop.editor.text, deprecating Desktop.editor.mousepad and Desktop.editor.pyroom.
9698402 Fix include Console.locale.en (not deprecated Locale.english) in node lxp5.
bb80dec Add Desktop.office.libreoffice.avoid, and include in Console.locale.de and Console.locale.en.
a7d3ce9 Enumerate bugs as separate parameters.
820e177 Fix use Hardware.net.bluetooth (not deprecated Hardware.bluetooth) in Hardware.laptop.
d92584c Update class Service.web.apache for Jessie: Install apache2 and mark apache2-mpm-worker as auto-installed.
456fada Add class Service.database.
d2e220c Refactor Service, adding base class and including classes Service.log Service.ssh Service.mail Service.time Service.web.
8c8c77c Refactor Service.mail, adding base class and including classes Service.mail.mta Service.mail.mda.
8508cad Slightly simplify Service.log.
d264d2c Fix rename Service.dns.autoritatative → Service.dns.authoritatative, deprecating the former.
85610ce Refactor Service.web, adding base class and extending Service.web.uwsgi.
3e8cfa8 Add Framework.media base class.
8484a39 Move base class Language → Language.base.
e46aaa3 Add classes Desktop.web.locale.ZA Desktop.web.iceweasel.locale.ZA.
c9294b1 Deprecate Locale.english.
31e20f9 Add classes l10n.ispell.fo l10n.wordlist.fo, and include in l10n.fo.
b70be67 Extend l10n.ispell.de classes to cover Swiss German.
f8993f1 Improve README: Clarify when appropriate to use pkg-avoid with lowercase classes.
f4ecc19 Add English high-level locale classes.
59fb067 Fix Desktop.office.libreoffice.locale.EU to include application-specific locale classes.
6f9c0c5 Add English low-level locale classes.
ff63dbd Add classes l10n.hunspell.de.medical l10n.wordlist.de.medical.
973f465 Fix include old German wordlist/ispell dictionary.
b328b4e Fix list German country code classes in capital letters.
b1a9952 Improve l10n.hunspell.de to include all variants. Fix add l10n.de.
44c2494 Drop l10n.myspell (folding it into l10n.hunspell).
7844c85 Add class Console.editor.spelling.
98a99f9 Revert rename ...locale.ZA → ...locale.za: ZA is a country (not a locale).
bdd139f Drop superfluously deprecated Desktop.scheduling.iceweasel.locale.danish for Jessie: No applications-specific locales were released.
8fc7f19 Rename ....locale.ZA → ...locale.za (i.e. use lowercase locale - preserve uppercase for localeregions), deprecating the former.
e53d3e5 Fix deprecate Desktop.locale.danish (was left overridden for Jessie).
56155b2 Refactor German locale classes, including rename ...german → ...de, deprecating the former.
c19aced Fix typo.
c1d9622 Refactor danish locale classes, including rename ...danish → ...da, deprecating the former.
7d0b484 Have Desktop.locale.danish use explicit package dependencies (not task package - and also avoid -help package).
9fecd93 Add class Task.desktop. Deprecate class Blends.
88fd56e Make node dharma generic (not Jessie-specific).
7baf7e9 Add Desktop.locale.* localeregion classes.
25f997c Add localeregion SCANDINAVIA, and l10n classes for Faeroe (fo) and North Sami (se).
3708fac Fix Desktop.scheduling.iceowl.locale.SCANDINAVIA for Jessie: Drop locale nb-no still only in experimental.
0a9079e Rename Console.media.midi.avoid → Framework.media.wildmidi.limit, deprecating the former.
5917275 Rename Console.media.gstreamer.avoid → Framework.media.gstreamer.avoid, deprecating the former.
3b0b439 Split Console.media.base from Console. Add Console.media.audio.alsa to Console.media.
78744a4 Split Console.base from Console. Add Console.editor Console.filemanager Console.tools to Console.
8d51105 Add misc. Bluetooth integration classes.
00388ef Rename Hardware.bluetooth → Hardware.net.bluetooth, deprecating the former. Deprecate hw.bluetooth.
9741a52 Refactor Admin.tools.
e0974c5 Refactor and extend Console.multiplexer.
b73bb6e Refactor and extend Console.mail, deprecating Console.mail.alot.
fdd6c45 Split class Console.editor.nano from Console.editor.
32e02a9 Add base class Task, and (Jessie-only) Task.data.transform.
30941c7 Refactor class Hardware.harden: Include Hardware.net.pac.avoid, and split out Hardware.tools.harden.
433703d Fix Desktop.design.web.sass Wheezy/Jessie difference.
eddbd61 Split class Admin.apt.tools into Admin.apt.tools.changes and Admin.apt.tools.bugs, and avoid the latter in base class (does not work well with approx, e.g. for use with live-build).
16bb8af Fix Desktop.office.pdf.gtk for Jessie: Stop avoid epdfview.
b70b708 Fix Console.media.gstreamer.avoid for Jessie: Stop avoid bluez-gstreamer.
75a4d68 Keep deprecated class files in separate directory.
571bf7f Fix Desktop.scheduling.iceowl.locale for Jessie: Drop locales fi gd id lt nb-no pa-in sq tr uk still only in experimental.
d36fe11 Fix Desktop.scheduling.iceowl for Jessie.
de3f372 Fix Service.print.cups.avoid Wheezy/Jessie difference.
709a805 Rename class Printing → Service.print, and refactor.
3babe55 Split class Admin.auto into Admin.apt.auto.upgrade Admin.disk.auto Service.time. Include new Admin.apt.auto into Admin.auto.
c242355 Rename class Admin.lvm → Admin.disk.lvm.
6b14f24 Restructure class Admin: add Admin.apt, and include that and Admin.tools into base class.
183d154 Restructure class Admin: add base class.
4d92204 Include Hardware.harden in each of Desktop.*.harden classes.
3ca8d09 Rename class Desktop.crypto → Desktop.tools.harden, and add Desktop.harden.
aafb45a Fix class Desktop.chat to include Desktop.chat.pidgin.
1e10a5d Rename class Desktop.chat.pidgin.crypto → Desktop.chat.pidgin.harden, and add Desktop.chat.harden.
f0cb14e Rename class Hardware.crypto → Hardware.harden.
8016c70 Rename class Desktop.email.crypto → Desktop.email.harden.
57d9561 Rename class Desktop.web.security → Desktop.web.harden (and fix move Jessie override below Desktop.web.iceweasel).
27fe2fd Restructure class Desktop.tools: Separate Desktop.tools.network and Desktop.tools.account.
12f168f Restructure class Desktop: Include Desktop.environment Desktop.email Desktop.editor Desktop.media Desktop.mobile Desktop.photo Desktop.office Desktop.scheduling Desktop.web.
9af5cb3 Restructure class Desktop.environment: Include Desktop.screensaver.
10ad3e9 Restructure class Desktop.editor: Include Desktop.editor.mousepad.
0a9a55e Restructure class Desktop.office: Include Desktop.office.gtk Desktop.office.word-processor Desktop.office.spreadsheet Desktop.office.presentation Desktop.office.pdf.
52dc805 Really separate Desktop.office.libreoffice.
6248159 Restructure class Desktop: add base class.
0830d6f Rename class Desktop.awesome → Desktop.environment.awesome.
c86fb73 Rename class Desktop.xfce → Desktop.environment.xfce.
cf717f2 Restructure class Desktop.web: Separate Desktop.web.iceweasel.
d1ae8ab Extend class Desktop.screensaver: Include Desktop.screensaver.unicode, and add base class.
630e6f6 Restructure class Desktop.scheduling: Separate Desktop.scheduling.iceowl.
aae86ff Extend class Desktop.photo: Include Desktop.photo.manage.gtk, and add base class.
291d77e Restructure class Desktop.office: Separate Desktop.office.libreoffice.
6c21fd8 Fix extend class Desktop.office to include Desktop.office.gtk.
55ad063 Fix add Desktop.office base class.
8ffda74 Extend class Desktop.office: Include Desktop.office.gtk, and add base class.
cfec4a8 Fix really include Desktop.media.audio.alsa and Desktop.media.video in Desktop.media.
c5c65f9 Split class Service.audio.pulseaudio into Service.audio.pulseaudio.client and Console.media.audio.pulseaudio, and include the latter in Service.audio.pulseaudio.
89a4e8a Extend Desktop.media.audio: add init, including Desktop.media.audio.alsa by default.
aa52755 Extend class Desktop.media: Add base, and include Desktop.media.audio.alsa and Desktop.media.video by default.
7ca1447 Extend class Desktop.mobile.sync: Add base, and include sync by default.
9d39e10 Extend Desktop.filesharing: add base and init, including Desktop.filesharing.bittorrent by default.
d762a3d Restructure Desktop.email: separate base from index, and add subclass Desktop.email.icedove.
b23d30d Restructure Desktop.chat: separate base from index, and include Desktop.chat.pidgin.
2a9c9a6 Fix Printing class (and subclasses). Closes: bug#767360.
5bd44cc Fix adjust descriptions related to (but not really) tweaks.
82faaa5 Fix include Admin.etc.functions in Desktop.xfce.
d1bf4dd Fix tweaks sometimes broken for classes Hardware.bluetooth and Hardware.power: Include Admin.etc.functions.
b54a3c1 Add class Console.design.painting, and include in Console.design.
4fb7924 Add class Desktop.design.font, and include (except subclass Desktop.design.font.editor) in Desktop.design.
5b51905 Add class Desktop.editor.kephra.
dcd9e97 Add class Desktop.design.color, and include in Desktop.design.
69fe964 Rename class Desktop.web.chromium → Desktop.web.blink.
fcf81e5 Update to reclass 1.4 ABI for Desktop.design.painting.
e504a07 Merge branch 'master-jessie'

# Release 6 2014-10-26
aa300c2 Prepare for release: Update changelog.
20bda49 Prepare for release: Update changelog.
5c203dd Adapt to ABI of reclass 1.4: rename default class files index.yml → init.yml. See bug#766903.
a83511e New class Desktop.design.painting.kde.
2eaf529 New class Desktop.design.painting.gtk (included in its superclass).

# Release 5 2014-10-26
95bc2ab Prepare for release: Update changelog.
4c95967 New class Desktop.design.web. Exclude that and its subclass sass from Desktop.design.

# Release 4 2014-10-26
b87ad93 Prepare for release: Update changelog.
aa6fc92 Add classes Desktop.web.webkit and Deskto.web.chromium.
e279adb Restructure Desktop.web.* to separate base and gecko from index.
9e975b1 Add Jessie Desktop.media.video class to install mpv and avoid mplayer2.
5a1abe3 Extend Jessie Desktop.web.security class to install xul-ext-y-u-no-validate.

# Release 3 2014-10-25
67b22a3 Prepare for release: Update changelog.
adece15 Fix Console.design class.

# Release 2 2014-10-24
d09bbf2 Prepare for release: Update changelog.
2f31189 Add design classes.
1aca98e Rename class Desktop.mobile.photo → Desktop.photo.manage.gtk.

# Release 1 2014-10-20
6a115d3 Initial packaging.
3695e38 Add Makefile to populate symlinks, and remove them on cleanup.
b365a27 Have Admin.tools class install lsof.
f0897c1 Sort Desktop.web.security class.
f214d08 Update Desktop.scheduling.locale.* to follow UN M.49 definition of Europe: Include Ukraine and Russia.
0674f18 Fix package lists for iceowl locale classes.
1bf266f Rename classes ...da → ...danish. Add and use more danish locale classes.
bcd8ab8 Derive class Console.tools for Jessie: include myrepos and auto-install mr.
01e93ea Add a bunch of Jessie classes, and (preliminary) node dharma.
d5374c6 Add a bunch of classes, and node lxp5.
af8b24b Fix missing colons. Thanks to Vasudev Kamath.
50070a0 Rename classes ...l10n → ...locale.
0d70f8b Rename class Hardware.wifi → Hardware.nic.
d92633f Add laptop classes, and add node parl-greens.
f1af89d Move mousepad to separate class Desktop.editor.mousepad.
71bf6cf Move aptitude to separate class Admin.apt.aptitude.
13dd4aa Move (without structurally renaming) class Hardware.laptop.
9dbf9d5 Simplify parl nodes, and add parl-desktop-india.
71d1586 Improve and extend locale classes.
755f90e Extend and slightly rephrase README.
4ccce7e Rename wheezy class hw.acpi.base → hw.acpi.
36433e2 Major rewrite: Use reclass.
881f3ed Stop caring about libvisual-0.4-plugins being (auto-)installed: Not actually used.
19ca92e Include core audio tools (no longer pulled in by GStreamer).
733437b exclude webkit library (used only for maybe-risky JavaScript Proxy parsing).
1ef4abf Include generic volume control Volti. Exclude Xfce volumed and GStreamer framework.
482eb23 Fix stop install iceweasel l10n n Croatian: Unavailable in Wheezy.
6e3dd27 Fix exclude MIDI patches (bug#612509).
b8f039d Extend desktop-mobile topic to include photo manager Shotwell.
58e9b87 Extend desktop topic to include mousepad.
49aace4 Mark auto previously excluded recommendations evolution-data-server libvisual-0.4-plugins libwebkitgtk-1.0-0.
837f15f Fix exclude only software rasterizer: Include gvfs (fixing disk hot-plug detection) mplayer2 and libreoffice-ogltrans. Include recommendations evolution-data-server libvisual-0.4-plugins libwebkitgtk-1.0-0.
1e8dce8 Fix exclude print support.
f30847c Explicitly include LibreOffice GTK+ style "tango".
6168ef9 Fix install icedove and iceweasel l10n for es-es, pt-pt and sv-se (not bogus es, pt or sv, nor missing lv).
749bf14 Fix explicitly suppress OpenGL-depending libwebkitgtk-1.0-0 (pulled in by libproxy0 as alternative to no longer provided libmozjs10d.
9cd4df1 Extend desktop topic to include ntp.
d8e3a94 Explicitly exclude full libreoffice or Java-dependent parts.
c2cbdcc Add new desktop topic media, including PulseAudio
777d728 Include screensaver unicode-screensaver.
4224439 Stop install non-free firmware-linux package (leave that to hardware-specific explicit instruction). Thanks to Paul Wise for reminder.
5086adc Exclude OpenGL and packages depending on it (until possible enabling only when supported by hardware).
e5d249a Fix package exclusions: use dash suffix (not prefix).
431a63f Include power management tools.
a18c301 Add Iceweasel plugins xul-ext-certificatepatrol xul-ext-refcontrol xul-ext-requestpolicy.
17ef96d Introduce profile mobile, which includes SyncEvolution.
034a660 Distinguish desktop topics with localizations, and drop empty profile snippets for not yet available Iceowl locales.
1bc283b Add Iceweasel plugin flashblock.
cb857ad Introduce profile scheduling, which includes Icdove extension Iceowl.
6a1a812 Add sieve plugin for Icedove.
f2b45fb include gnome-disk-utility: Needed as GUI to change LUKS full-disk-encryption password.
aaae67a Drop Breton from localeregion eu: Is a minority language (only official languages included for now).
ccb95b8 Add localeregion eu (European Union).
607f4d5 Fix drop double locale.
b4d89fe Separate localeregions as own profiles (only 'all' for now).
d18cf97 Restructure to generate preseed files from skeleton + packagelists.
